CMSIS-DSP: Matrix Transpose

| CMSIS-DSP Version 1.4.7 CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Matrix Transpose
Matrix Functions

## Functions
arm_status | arm_mat_trans_f32 (const arm_matrix_instance_f32 *pSrc, arm_matrix_instance_f32 *pDst)
| Floating-point matrix transpose.
arm_status | arm_mat_trans_q15 (const arm_matrix_instance_q15 *pSrc, arm_matrix_instance_q15 *pDst)
| Q15 matrix transpose.
arm_status | arm_mat_trans_q31 (const arm_matrix_instance_q31 *pSrc, arm_matrix_instance_q31 *pDst)
| Q31 matrix transpose.

## Description

Tranposes a matrix. Transposing an `M x N` matrix flips it around the center diagonal and results in an `N x M` matrix.

Transpose of a 3 x 3 matrix

## Function Documentation

arm_status arm_mat_trans_f32 | ( | const arm_matrix_instance_f32 * | pSrc,
|  | arm_matrix_instance_f32 * | pDst
| ) |  |

Parameters

  [in] | *pSrc | points to the input matrix
  [out] | *pDst | points to the output matrix

Returns
  The function returns either `ARM_MATH_SIZE_MISMATCH` or `ARM_MATH_SUCCESS` based on the outcome of size checking.

Examples:
  arm_matrix_example_f32.c.

References ARM_MATH_SIZE_MISMATCH, ARM_MATH_SUCCESS, arm_matrix_instance_f32::numCols, arm_matrix_instance_f32::numRows, arm_matrix_instance_f32::pData, and status.

Referenced by main().

arm_status arm_mat_trans_q15 | ( | const arm_matrix_instance_q15 * | pSrc,
|  | arm_matrix_instance_q15 * | pDst
| ) |  |

Parameters

  [in] | pSrc | points to the input matrix
  [out] | pDst | points to the output matrix

Returns
  The function returns either `ARM_MATH_SIZE_MISMATCH` or `ARM_MATH_SUCCESS` based on the outcome of size checking.

References __SIMD32, ARM_MATH_SIZE_MISMATCH, ARM_MATH_SUCCESS, arm_matrix_instance_q15::numCols, arm_matrix_instance_q15::numRows, arm_matrix_instance_q15::pData, and status.

arm_status arm_mat_trans_q31 | ( | const arm_matrix_instance_q31 * | pSrc,
|  | arm_matrix_instance_q31 * | pDst
| ) |  |

Parameters

  [in] | pSrc | points to the input matrix
  [out] | pDst | points to the output matrix

Returns
  The function returns either `ARM_MATH_SIZE_MISMATCH` or `ARM_MATH_SUCCESS` based on the outcome of size checking.

References ARM_MATH_SIZE_MISMATCH, ARM_MATH_SUCCESS, arm_matrix_instance_q31::numCols, arm_matrix_instance_q31::numRows, arm_matrix_instance_q31::pData, and status.